Package org.kie.internal.runtime.manager

## Class RuntimeManagerRegistry

- java.lang.Object
- - org.kie.internal.runtime.manager.RuntimeManagerRegistry

-     public class RuntimeManagerRegistry
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.concurrent.ConcurrentHashMap<java.lang.String,​org.kie.api.runtime.manager.RuntimeManager>` | `registeredManager` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RuntimeManagerRegistry` | `get()` |
    `org.kie.api.runtime.manager.RuntimeManager` | `getManager​(java.lang.String id)` |
    `java.util.Collection<java.lang.String>` | `getRegisteredIdentifiers()` |
    `boolean` | `isRegistered​(java.lang.String id)` |
    `void` | `register​(org.kie.api.runtime.manager.RuntimeManager manager)` |
    `void` | `remove​(java.lang.String identifier)` |
    `void` | `remove​(org.kie.api.runtime.manager.RuntimeManager manager)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### registeredManager

          protected volatile java.util.concurrent.ConcurrentHashMap<java.lang.String,​org.kie.api.runtime.manager.RuntimeManager> registeredManager

  - ### Method Detail

    - #### get

          public static RuntimeManagerRegistry get()

    - #### register

          public void register​(org.kie.api.runtime.manager.RuntimeManager manager)

    - #### remove

          public void remove​(org.kie.api.runtime.manager.RuntimeManager manager)

    - #### remove

          public void remove​(java.lang.String identifier)

    - #### getManager

          public org.kie.api.runtime.manager.RuntimeManager getManager​(java.lang.String id)

    - #### isRegistered

          public boolean isRegistered​(java.lang.String id)

    - #### getRegisteredIdentifiers

          public java.util.Collection<java.lang.String> getRegisteredIdentifiers()